Global Search

​

Search all video assets / playlists / folders etc across workspaces.

Query Parameters

  • search_query
    Type: string
    required

    Search query term

  • collection_id
    Type: string

    Workspace ID if you want to limit search to a specific workspace

  • size
    Type: integer

    Number of results to return

  • assets_offset
    Type: integer

    Offset for assets

  • folders_offset
    Type: integer

    Offset for folders

  • playlists_offset
    Type: integer

    Offset for playlists

  • channels_offset
    Type: integer

    Offset for channels

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/entities/global-search
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const globalSearch = await client.globalSearch.search({
  search_query: 'searchQuery',
  size: 20,
  assets_offset: 0,
  folders_offset: 0,
  playlists_offset: 0,
  channels_offset: 0,
});

console.log(globalSearch);
{
  "all_folders": [
    {
      "id": "string",
      "created_at": 1,
      "updated_at": 1,
      "workspace_id": "string",
      "highlight": [
        {
          "score": 1,
          "path": "string",
          "texts": [
            {
              "value": "string",
              "type": "hit"
            }
          ]
        }
      ]
    }
  ],
  "all_assets": [
    {
      "id": "string",
      "title": "string",
      "tags": [
        "string"
      ],
      "workspace_id": "string",
      "created_at": 1,
      "updated_at": 1,
      "highlight": [
        {
          "score": 1,
          "path": "string",
          "texts": [
            {
              "value": "string",
              "type": "hit"
            }
          ]
        }
      ]
    }
  ],
  "all_playlists": [
    {
      "id": "string",
      "title": "string",
      "description": "string",
      "created_at": 1,
      "updated_at": 1,
      "workspace_id": "string",
      "highlight": [
        {
          "score": 1,
          "path": "string",
          "texts": [
            {
              "value": "string",
              "type": "hit"
            }
          ]
        }
      ]
    }
  ],
  "all_channels": [
    {
      "title": "string",
      "description": "string",
      "created_at": 1,
      "updated_at": 1,
      "workspace_id": "string",
      "highlight": [
        {
          "score": 1,
          "path": "string",
          "texts": [
            {
              "value": "string",
              "type": "hit"
            }
          ]
        }
      ]
    }
  ]
}

Successful response

  • Video on Demand
  • Live Streams
  • Image APIs
  • Video Analytics
  • Webhooks
  • Account Endpoints
logologo
DocsDocsAPI referencesAPI referencesMCP ServerMCP Server